package vo

import (
	"lapp_-wy/web/models"
)

// 前端需要的数据结构
type UserVO struct {
	Pid        int    `json:"pid" form:"pid"`
	Userid     string `json:"userid" form:"userid"`
	Enable     int    `json:"enable"`
	Appid      string `json:"appid" form:"appid"`
	Name       string `json:"name" form:"name"`
	Phone      string `json:"phone" form:"phone"`
	Email      string `json:"email" form:"email"`
	Userface   string `json:"userface" form:"userface"`
	CreateTime int64  `json:"create_time" form:"createTime"`
	UpdateTime int64  `json:"update_time" form:"updateTime"`
	Token      string `json:"token"`
}

// 携带token
func TansformUserVO(token string, user *models.Usertab) (uVO UserVO) {
	uVO.Pid = user.Pid
	uVO.Userid = user.Userid
	uVO.Name = user.Name
	uVO.Phone = user.Phone
	uVO.Email = user.Email

	uVO.Token = token

	return
}

// 用户列表，不带啊token
func TansformUserVOList(userList ...*models.Usertab) (userVOList []UserVO) {
	for _, v := range userList {
		uVO := UserVO{}
		uVO.Pid = v.Pid
		uVO.Userid = v.Userid
		uVO.Name = v.Name
		uVO.Phone = v.Phone
		uVO.Email = v.Email

		userVOList = append(userVOList, uVO)
	}
	return
}
